import express from 'express';

// Route imports
import dashboard_route from './dashboard.js';
import users_route from './users.js';
import products_route from './products.js';
import report_route from './report.js';

// Router base is '/admin'
const Router = express.Router({ strict: false });

Router.route('/').get(dashboard_route.get);
Router.route('/users').get(users_route.get);
Router.route('/products').get(products_route.get);
Router.route('/report').get(report_route.get);

export default Router;
